import java.awt.*;

public class CheckboxGroupTest {
	public static void main(String[] args){
		Frame f=new Frame("Checkbox");
		f.setLayout(new FlowLayout());
		f.setSize(300,300);

		Label l=new Label("你喜欢的城市?");
		f.add(l);
		
		CheckboxGroup g=new CheckboxGroup();

		Checkbox[] cb=new Checkbox[4];
		//在构造方法中设置CheckboxGroup
		cb[0]=new Checkbox("北京", g, false);
		cb[1]=new Checkbox("上海",true);
		cb[1].setCheckboxGroup(g);//设置CheckboxGroup

		cb[2]= new Checkbox("青岛" ,false, g);

		cb[3]=new Checkbox("广州");//没有设置CheckboxGroup
		
		g.setSelectedCheckbox(cb[3]);//设置被选择的组件
	
		for (Checkbox ch: cb){
			f.add(ch);//向容器中加入的是Checkbox而不是CheckboxGroup
		}
		f.setVisible(true);
	}
}

